## org.codehaus.groovy.grails.test.report.junit
Class JUnitReportProcessor

    java.lang.Object
      org.codehaus.groovy.grails.test.report.junit.JUnitReportProcessor

All Implemented Interfaces:
  GrailsBuildListener, groovy.lang.GroovyObject

    public class JUnitReportProcessor

extends Object
implements GrailsBuildListener, groovy.lang.GroovyObject

Constructor Summary
`JUnitReportProcessor()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `receiveGrailsBuildEvent(String name, Object[] args)` Responds to the event.
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitReportProcessor

    public JUnitReportProcessor()

Method Detail

### receiveGrailsBuildEvent

    public void receiveGrailsBuildEvent(String name,
                                        Object[] args)

  Description copied from interface: `GrailsBuildListener`
  Responds to the event.

  Specified by:
    `receiveGrailsBuildEvent` in interface `GrailsBuildListener`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project